gitlabUrl: "https://gitlab.com/"
runnerRegistrationToken: "CHANGEME" # change to your own runners registration token
fullnameOverride: "kcd-gitlab-runners"

rbac:
  create: true

  rules:
    - apiGroups: [""]
      resources: ["pods", "secrets", "services", "configmaps"]
      verbs: ["get", "list", "watch", "create", "patch", "delete", "update"]
    - apiGroups: [""]
      resources: ["pods/exec", "pods/attach"]
      verbs: ["create", "patch", "delete"]

runners:
  tags: "kubernetes,k8s-preproduction-20"
  name: "kcd-gitlab-runners"
  runUntagged: false
  protected: true

  config: |
    [[runners]]
      [runners.kubernetes]
        namespace = "{{.Release.Namespace}}"
        image = "busybox"
        service_account = "kcd-gitlab-runners"
